<?xml version="1.0"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>
    <properties>
        <title>Maven Ant Plug-in Goals</title>
        <author email="dion@multitask.com.au">dIon Gillard</author>
    </properties>
    <body>
        <section name="Goals">
            <table>
                <tr>
                    <th>Goal</th>
                    <th>Description</th>
                </tr>
                <tr>
                    <td>fo</td>
                    <td>
            This simply pre-requisites the <code>fo:fo</code> goal.
          </td>
                </tr>
                <tr>
                    <td>fo:fo</td>
                    <td>
            Generates an fo xml document from the <code>navigation.xml</code>
            file supplied as part of the documentation. Please note that as
            yet, no sanity check is done to make sure this file exists.
          </td>
                </tr>
                <tr>
                    <td>pdf</td>
                    <td>
            This is the default goal of the plugin and simply pre-requisites
            the <code>pdf:pdf</code> goal.
          </td>
                </tr>
                <tr>
                    <td>pdf:pdf</td>
                    <td>
            Generates a PDF document containing all project documentation.
            The PDF is generated from the .fo file generated in the <code>fo:fo</code>
            goal.
          </td>
                </tr>
            </table>
        </section>
    </body>
</document>
